*** ../ek17/COPYING	2011-06-17 07:58:09.000000000 -0400
--- COPYING	2021-05-25 19:11:50.880185000 -0400
***************
*** 1,10 ****
  
!   E-Kermit 1.7 -- Embedded Kermit
  
    Author:  Frank da Cruz
    License: Revised 3-Clause BSD License
  
!   Copyright (C) 1995, 2011, 
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
--- 1,10 ----
  
!   E-Kermit 1.8 -- Embedded Kermit version 1.8 of 25 May 2021
  
    Author:  Frank da Cruz
    License: Revised 3-Clause BSD License
  
!   Copyright (C) 1995, 2021, 
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
*** ../ek17/kermit.h	2011-06-06 15:36:54.000000000 -0400
--- kermit.h	2021-05-25 19:14:06.921175000 -0400
***************
*** 1,7 ****
  #ifndef __KERMIT_H__
  #define __KERMIT_H__
  
! #define VERSION "1.7"			/* Kermit module version number */
  
  /*
    kermit.h -- Symbol and struct definitions for embedded Kermit.
--- 1,7 ----
  #ifndef __KERMIT_H__
  #define __KERMIT_H__
  
! #define VERSION "1.8"			/* Kermit module version number */
  
  /*
    kermit.h -- Symbol and struct definitions for embedded Kermit.
***************
*** 12,18 ****
  
    Author: Frank da Cruz.
  
!   Copyright (C) 1995, 2011, 
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
--- 12,18 ----
  
    Author: Frank da Cruz.
  
!   Copyright (C) 1995, 2021,
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
***************
*** 213,220 ****
  
  /* File Transfer Modes */
  
! #define BINARY      0
! #define TEXT        1
  
  /* Parity values */
  
--- 213,220 ----
  
  /* File Transfer Modes */
  
! #define BINARY      1                   /* Corrected in E-Kermit 1.8 */
! #define TEXT        0                   /* Corrected in E-Kermit 1.8 */
  
  /* Parity values */
  
*** ../ek17/main.c	2011-06-06 15:33:45.000000000 -0400
--- main.c	2021-05-25 19:45:22.992104000 -0400
***************
*** 2,8 ****
  
  /*
    Author: Frank da Cruz, the Kermit Project, Columbia University, New York.
!   Copyright (C) 1995, 2011, 
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
--- 2,8 ----
  
  /*
    Author: Frank da Cruz, the Kermit Project, Columbia University, New York.
!   Copyright (C) 1995, 2021,
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
***************
*** 46,51 ****
--- 46,52 ----
  #include "kermit.h"	/* Kermit symbols and data structures */
  #ifdef __linux
  #include <errno.h>
+ #include <stdlib.h>
  #endif /* __linux */
  
  /*
***************
*** 316,326 ****
      if (!action)			/* Nothing to do, give usage message */
        usage();
  
- #ifdef DEBUG
-     debug(DB_LOG,"SIMULATED ERROR RATE:",0,errorrate);
-     if (errorrate) srand(seed);		/* Init random error generator */
- #endif /* DEBUG */
- 
  /* THE REAL STUFF IS FROM HERE DOWN */
  
      if (!devopen("dummy"))		/* Open the communication device */
--- 317,322 ----
***************
*** 331,336 ****
--- 327,334 ----
        debug(DB_OPN,"debug.log",0,0);
  
      debug(DB_MSG,"Initializing...",0,0);
+     debug(DB_LOG,"SIMULATED ERROR RATE:",0,errorrate);
+     if (errorrate) srand(seed);		/* Init random error generator */
  
  /*  Fill in parameters for this run */
  
*** ../ek17/kermit.c	2011-06-06 16:24:13.000000000 -0400
--- kermit.c	2021-05-26 15:09:14.282262000 -0400
***************
*** 1,8 ****
  #define KERMIT_C
  /*
    Embedded Kermit protocol module
!   Version: 1.7
!   Most Recent Update: Mon Jun  6 15:36:26 2011
  
    No stdio or other runtime library calls, no system calls, no system 
    includes, no static data, and no global variables in this module.
--- 1,8 ----
  #define KERMIT_C
  /*
    Embedded Kermit protocol module
!   Version: 1.8
!   Most Recent Update: Tue May 25 19:20:27 2021
  
    No stdio or other runtime library calls, no system calls, no system 
    includes, no static data, and no global variables in this module.
***************
*** 18,24 ****
  
    Author: Frank da Cruz.
  
!   Copyright (C) 1995, 2011, 
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
--- 18,24 ----
  
    Author: Frank da Cruz.
  
!   Copyright (C) 1995, 2021,
    Trustees of Columbia University in the City of New York.
    All rights reserved.
  
*** ../ek17/makefile	2011-03-30 12:41:30.000000000 -0400
--- makefile	2021-05-25 19:25:24.509116000 -0400
***************
*** 1,6 ****
  #Makefile for embedded Kermit.
  #
! # Copyright (C) 1995, 2011,
  #  Trustees of Columbia University in the City of New York.
  #  All Rights Reserved.  See kermit.c for license.
  
--- 1,6 ----
  #Makefile for embedded Kermit.
  #
! # Copyright (C) 1995, 2021,
  #  Trustees of Columbia University in the City of New York.
  #  All Rights Reserved.  See kermit.c for license.
  
